Bids
Place a bid for a customer
Place a bid on an auction on behalf of a customer. Amounts are in USD.
POST
/
alpha
/
merchant
/
customers
/
{customerId}
/
bids
Place a bid for a customer
curl --request POST \
--url https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/bids \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"auctionId": "<string>",
"amountDollars": 123,
"expectedMinAmountDollars": 123,
"clientProvidedId": "<string>"
}
}
'import requests
url = "https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/bids"
payload = { "data": {
"auctionId": "<string>",
"amountDollars": 123,
"expectedMinAmountDollars": 123,
"clientProvidedId": "<string>"
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
auctionId: '<string>',
amountDollars: 123,
expectedMinAmountDollars: 123,
clientProvidedId: '<string>'
}
})
};
fetch('https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>",
"_creationTime": 123,
"auctionId": "<string>",
"amountDollars": 123,
"bidderId": "<string>"
},
"timestamp": 123,
"message": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>",
"reason": "<string>"
}{
"error": "<string>"
}Headers
Your Auction Now API key as a Bearer token
Example:
"Bearer ak_XXXXXXX"
Path Parameters
The unique ID of the customer
Body
application/json
Input data for placing a bid
Show child attributes
Show child attributes
Previous
Create or update a max bid for a customerSet a maximum bid (proxy bid) on an auction on behalf of a customer. If a max bid already exists, it will be updated.
Next
⌘I
Place a bid for a customer
